# -*- coding: utf-8 -*-
from setuphelpers import *

app_uninstallkey = "MSPCManager"


def install():
    bin_name = glob.glob("MSPCManager*.exe")[0]
    install_exe_if_needed(
        bin_name,
        "/S",
        app_uninstallkey,
        control.get_software_version(),
    )

    # Adding QuietUninstallString
    quiet_uninstall_string = installed_softwares(uninstallkey=app_uninstallkey)[0]["uninstall_string"] + " /S"
    register_uninstall(app_uninstallkey, quiet_uninstall_string=quiet_uninstall_string)
